Skip to main content

Send coins to a single recipient (v2)

POST 

/api/v2/:coin/wallet/:id/sendcoins

This endpoint is a convenience wrapper around the sendMany endpoint that accepts a single address and amount instead of a recipients array.

Internally, wallet.send() converts the address and amount into a recipients array with a single recipient and calls wallet.sendMany(). This means:

  1. All sendMany parameters are supported
  2. The response structure is identical to sendMany

The endpoint:

  1. Validates the address and amount parameters
  2. Builds a transaction to the specified address
  3. Signs the transaction with the user's key (decrypted with walletPassphrase or xprv)
  4. Requests a signature from MagFi's key
  5. Sends the fully-signed transaction to the blockchain network

Supports:

  • TSS wallets with txRequest flow
  • Custodial wallets
  • Traditional multisig wallets
  • Account-based and UTXO-based coins
  • Token transfers
  • Advanced features like memo fields, hop transactions, EIP-1559 fees

Request

Responses

OK

Environment: